package com.ruoyi.bst.task.domain;

import java.util.List;

import com.ruoyi.bst.taskSubmit.domain.TaskSubmitVO;
import com.ruoyi.system.user.domain.vo.SysUserNameVO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TaskVO extends Task{

    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "创建人名称")
    private String createName;

    @ApiModelProperty(value = "取消人名称")
    private String cancelUserName;

    @ApiModelProperty(value = "负责人列表")
    private List<SysUserNameVO> ownerList;

    @ApiModelProperty(value = "提交列表")
    private List<TaskSubmitVO> submitList;

    @ApiModelProperty("提交数量")
    private Integer submitCount;

    @ApiModelProperty("通过数量")
    private Integer passCount;

    @ApiModelProperty("是否逾期")
    private Boolean overdue;

    @ApiModelProperty("项目负责人ID")
    private Long projectOwnerId;

    @ApiModelProperty("项目跟进人ID")
    private Long projectFollowId;

    @ApiModelProperty("项目成员ID列表")
    private List<Long> projectMemberIds;
}
