package com.ruoyi.bst.task.service;

import java.util.List;

import com.ruoyi.bst.task.domain.TaskVO;

public interface TaskAssembler {

    /**
     * 组装提交列表
     * @param list 任务列表
     */
    void assembleSubmitList(List<TaskVO> list);

    /**
     * 组装负责人列表
     * @param list 任务列表
     */
    void assembleOwnerList(List<TaskVO> list);  

    /**
     * 组装提交数量
     * @param list 任务列表
     */
    void assembleSubmitCount(List<TaskVO> list);

    /**
     * 组装通过数量
     * @param list 任务列表
     */
    void assemblePassCount(List<TaskVO> list);
}
