package com.ruoyi.bst.taskSubmit.domain.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TaskSubmitRejectDTO {
    
    @ApiModelProperty("提交ID")
    @NotNull(message = "提交ID不能为空")
    private Long id;

    @ApiModelProperty("驳回备注")
    @Size(max = 200, message = "驳回备注长度不能超过200个字符")
    private String remark;

}
