package com.ruoyi.bst.taskSubmit.domain.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TaskSubmitVerifyDTO {
    
    @ApiModelProperty("提交ID")
    @NotNull(message = "提交ID不能为空")
    private Long id;

    @ApiModelProperty("审核结果")
    @NotNull(message = "审核结果不能为空")
    private Boolean pass;

    @ApiModelProperty("审核备注")
    @Size(max = 200, message = "审核备注长度不能超过200个字符")
    private String remark;
}
