package com.ruoyi.system.user.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.entity.SysUser;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wjh
 * 2024/10/22
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SysUserVO extends SysUser {

    @ApiModelProperty("部门名称")
    @Excel(name = "部门名称", type = Excel.Type.IMPORT)
    private String deptName;

}
