package com.ruoyi.bst.project.domain;

import java.util.List;

import com.ruoyi.system.user.domain.vo.SysUserNameVO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wjh
 * 2025/1/22
 */
@Data
public class ProjectVO extends Project{

    @ApiModelProperty(value = "负责人名称")
    private String ownerName;

    @ApiModelProperty(value = "跟进人名称")
    private String followName;

    @ApiModelProperty("创建人名称")
    private String createName;

    @ApiModelProperty("客户名称")
    private String customerName;

    @ApiModelProperty("任务总数量（需组装）")
    private Integer taskCount;

    @ApiModelProperty("任务通过数量（需组装）")
    private Integer taskPassCount;

    @ApiModelProperty("任务待确认数量（需组装）")
    private Integer taskWaitConfirmCount;

    @ApiModelProperty("项目成员列表（需组装）")
    private List<SysUserNameVO> memberList;
}
