package com.ruoyi.bst.project.service;

import java.util.List;

import com.ruoyi.bst.project.domain.ProjectVO;

public interface ProjectAssembler {

    /**
     * 组装任务总数量
     * @param list
     */
    void assembleTaskCount(List<ProjectVO> list);

    /**
     * 组装任务完成数量
     * @param list
     */
    void assembleTaskPassCount(List<ProjectVO> list);

    /**
     * 组装任务待确认数量
     * @param list
     */
    void assembleTaskWaitConfirmCount(List<ProjectVO> list);

    /**
     * 组装项目成员列表
     * @param list
     */
    void assembleMemberList(List<ProjectVO> list);
}
